### Enumeration

# Gio TlsChannelBindingType

since: 2.66

#### Declaration

    enum Gio.TlsChannelBindingType

#### Description [src]

The type of TLS channel binding data to retrieve from `GTlsConnection` or `GDtlsConnection`, as documented by RFC 5929 or RFC 9266. The `tls-unique-for-telnet` binding type is not currently implemented.

Available since: 2.66

#### Members

`G_TLS_CHANNEL_BINDING_TLS_UNIQUE`

  `tls-unique` binding type.

  - Value: `0`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_TLS_SERVER_END_POINT`

  `tls-server-end-point` binding type.

  - Value: `1`
  - Available since: 2.66
`G_TLS_CHANNEL_BINDING_TLS_EXPORTER`

  `tls-exporter` binding type. Since: 2.74.

  - Value: `2`
  - Available since: 2.66